Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6284/?format=api
{ "ob_id": 6284, "uuid": "17129bb5c8069a8e8cff93dc791e04a0", "title": "RAPID: HadCM3 control 9K simulation freshwater experiment", "abstract": "The \"ISOMAP UK\" project was a combined data-modelling investigation of water isotopes and their interpretation during rapid climate change events project was a Natural Environment Research Council (NERC) RAPID Climate Change Research Programme project (Round 1 - NER/T/S/2002/00460 - Duration 1 May 2003 - 30 Apr 2008) led by Prof J.A. Holmes of the University College London, with co-investigators at the University of Southampton, University of Liverpool, University of Manchester, University of Bristol and the NERC British Antarctic Survey. \r\n\r\nThis dataset contains comparison of high-resolution isotope records from terrestrial archives in NW Europe with model simulations of isotopes in precipitation. This is a control 9K simulation, and a freshwater hosing experiment. The freshwater hosing experiment had 5Sv of freshwater added to the North Atlantic for 1 year. The freshwater forcing was then removed and the model allowed to adjust.\r\n\r\nRapid Climate Change (RAPID) was a £20 million, six-year (2001-2007) programme for the Natural Environment Research Council. The programme aimed to improve the ability to quantify the probability and magnitude of future rapid change in climate, with a main (but not exclusive) focus on the role of the Atlantic Ocean's Thermohaline Circulation.", "keywords": "RAPID, Climate change, water", "publicationState": "published", "dataPublishedTime": "2014-09-21T15:24:03", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6285/?format=api", "dataPath": "/badc/rapid/data/Holmes_Rapid1_Round1", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 199291333, "numberOfFiles": 15, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5020/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/1323/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/1636/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/2007/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/3063/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/4385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8535/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8536/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8537/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8538/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8539/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8540/?format=api" ], "dataLineage": "Data files provided as is by Jeni Milsom at Bristol University.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4084/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19093/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6283/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26581/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26579/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26582/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26583/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26584/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26585/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71864/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26580/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72430/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/5533/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }